### org.jfree.layouting.input.style.values

# Class CSSColorValue

- `Color`
- - `org.jfree.layouting.input.style.values.CSSColorValue`

Implemented Interfaces:
  CSSValue, Serializable

`public class CSSColorValue`
`extends Color`
`implements CSSValue`

Creation-Date: 23.11.2005, 12:01:04

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSColorValue(Color color)`

  `CSSColorValue(float r, float g, float b)`

  `CSSColorValue(float r, float g, float b, float a)`

  `CSSColorValue(int rgba, boolean hasalpha)`

  `CSSColorValue(int r, int g, int b)`

  `CSSColorValue(int r, int g, int b, int a)`

  ## Method Summary

  `String`

  `getCSSText()`

  `String`

  `toString()`
    Returns a string representation of this `Color`.

## Constructor Details

### CSSColorValue

    public CSSColorValue(Color color)

### CSSColorValue

    public CSSColorValue(float r,
                         float g,
                         float b)

### CSSColorValue

    public CSSColorValue(float r,
                         float g,
                         float b,
                         float a)

### CSSColorValue

    public CSSColorValue(int rgba,
                         boolean hasalpha)

### CSSColorValue

    public CSSColorValue(int r,
                         int g,
                         int b)

### CSSColorValue

    public CSSColorValue(int r,
                         int g,
                         int b,
                         int a)

## Method Details

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### toString

    public String toString()

> Returns a string representation of this `Color`. This method is intended to be used only for debugging purposes. The content and format of the returned string might vary between implementations. The returned string might be empty but cannot be `null`.
> Returns:
>   a string representation of this `Color`.